- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
WPSEmbeddedObject Struct Reference

small class use to define a embedded object More...

`#include <libwps_internal.h>`

## Public Member Functions
| WPSEmbeddedObject ()
| empty constructor More...
| WPSEmbeddedObject (librevenge::RVNGBinaryData const &binaryData, std::string type="image/pict")
| constructor More...
virtual | ~WPSEmbeddedObject ()
| destructor More...
bool | isEmpty () const
| return true if the picture contains no data More...
void | add (librevenge::RVNGBinaryData const &binaryData, std::string type="image/pict")
| add a picture More...
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist More...

## Public Attributes
std::vector< librevenge::RVNGBinaryData > | m_dataList
| the picture content: one data by representation More...
std::vector< std::string > | m_typeList
| the picture type: one type by representation More...

## Friends
std::ostream & | operator<< (std::ostream &o, WPSEmbeddedObject const &pict)
| operator<< More...

## Detailed Description

small class use to define a embedded object

Note
  mainly used to store picture

## Constructor & Destructor Documentation

WPSEmbeddedObject::WPSEmbeddedObject | ( |  | ) |
| inline

empty constructor

WPSEmbeddedObject::WPSEmbeddedObject | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string | type = `"image/pict"`
| ) |  |
| inline

constructor

virtual WPSEmbeddedObject::~WPSEmbeddedObject | ( |  | ) |
| inline virtual

destructor

## Member Function Documentation

void WPSEmbeddedObject::add | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string | type = `"image/pict"`
| ) |  |
| inline

add a picture

Referenced by MSWriteParser::processEmbeddedOLE().

bool WPSEmbeddedObject::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist

Referenced by WPSContentListener::insertObject(), and WKSContentListener::insertObject().

bool WPSEmbeddedObject::isEmpty | ( |  | ) | const
| inline

return true if the picture contains no data

Referenced by operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSEmbeddedObject const & | pict
| ) |  |
| friend

operator<<

## Member Data Documentation

std::vector<librevenge::RVNGBinaryData> WPSEmbeddedObject::m_dataList

the picture content: one data by representation

std::vector<std::string> WPSEmbeddedObject::m_typeList

the picture type: one type by representation

Referenced by operator<<().

The documentation for this struct was generated from the following files:

- libwps_internal.h
- libwps_internal.cpp